summaryrefslogtreecommitdiffstats
path: root/testModule/hooks
diff options
context:
space:
mode:
Diffstat (limited to 'testModule/hooks')
-rwxr-xr-xtestModule/hooks/pre-mount/fetch-config.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/testModule/hooks/pre-mount/fetch-config.sh b/testModule/hooks/pre-mount/fetch-config.sh
new file mode 100755
index 00000000..013b0058
--- /dev/null
+++ b/testModule/hooks/pre-mount/fetch-config.sh
@@ -0,0 +1,12 @@
+command -v info >/dev/null || . /lib/dracut-lib.sh
+
+info "Getting configuration from OPENSLX-Server..."
+
+WGET="$(busybox which wget)"
+if [ -z $WGET ]; then
+ # do nothing
+ warn "'wget' not found. Skipping openslx configuration..."
+ exit 1
+fi
+mkdir -p /opt/openslx
+$WGET http://10.4.9.51/openslx/config -O /opt/openslx/config